﻿<?xml version='1.0' encoding='utf-8' standalone='no' ?>
<!-- -*- Mode: xml; c-basic-offset: 4; indent-tabs-mode: nil; tab-width: 4 -*- -->
<!-- vi: set ts=4 sw=4 expandtab: (add to ~/.vimrc: set modeline modelines=5) -->
<!-- ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is [Open Source Virtual Machine.].
 *
 * The Initial Developer of the Original Code is
 * Adobe System Incorporated.
 * Portions created by the Initial Developer are Copyright (C) 2004-2006
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *   Adobe AS3 Team
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** -->

<errors>  This table contains all of the error messages generated by core
  avmplus.  This will likely be replaced by a resource table
  for easy localization.
  %o = ScriptObject*
  %t = Traits*
  %m = MethodInfo*
  %n = Multiname (name portion only)
  %N = Multiname (namespace portion only)
  %a = Atom
  %d = int
  %f = double
  %S = Stringp
  %s = char*

  <error id="1000" label="kOutOfMemoryError">Systém nemá dostatek paměti.
<description><![CDATA[
        Flash Player needs more memory to compile your code than your system has available.
        Close some of the applications or processes running on your system.
    ]]></description></error>

  <error id="1001" label="kNotImplementedError">Metoda %1 není implementovaná.</error>
  <error id="1002" label="kInvalidPrecisionError">Number.toPrecision má rozsah 1 až 21. Number.toFixed a Number.toExponential mají rozsah od 0 do 20. Zadaná hodnota nespadá do požadovaného rozsahu.
<description><![CDATA[
        You specified a value that is not within the expected range of the <code>precision</code> argument. Number.toPrecision has a range of 1 to 21. Number.toFixed and Number.toExponential have a range of 0 to 20.
    ]]></description></error>

  <error id="1003" label="kInvalidRadixError">Argument odmocniny musí být mezi 2 a 36; získáno %1.
     <description><![CDATA[
        You passed a value less than 2 or greater than 36 for the <code>radix</code> argument of a method or property.
        Pass a value between 2 and 36 as a <code>radix</code> argument.
    ]]></description>  </error>
  <error id="1004" label="kInvokeOnIncompatibleObjectError">Metoda %1 byla použita na nekompatibilní objekt.
<description><![CDATA[
        You tried to call a method that is not available to the specified object. This error occurs when
        you have copied a prototype function from one object to another, and then invoked it, but the
        target object is not the same type as the original object. Ensure that the target object and
        original object are the same type. See the ECMAScript Language Specification, 3rd Edition, Chapter 15 for more details.
    ]]></description></error>

  <!-- ISSUE jsshell reports "invalid array length" -->
<error id="1005" label="kArrayIndexNotIntegerError">Index pole není kladné celé číslo (%1).
<description><![CDATA[
        You tried to access a member of an array using an index value that is not a positive integer. Pass only positive integers as index values for arrays.
    ]]></description></error>


<error id="1006" label="kCallOfNonFunctionError">%1 není funkce.
<description><![CDATA[
        This error occurs when you attempt to call a function that does not exist.
        Make sure you are calling the correct function, and that the API has
        not changed from ActionScript 2.0. Also, make sure you are using the correct
        object. For example, you will see this error when you use the following code
        (because the last line mistakenly calls the variable <code>big</code> instead
        of <code>blg</code>):

        <pre><code>var blg:String = "foo";
var big:Sprite = new Sprite();
var error:int = big.length(); </code></pre>
    ]]></description></error>
  <error id="1007" label="kConstructOfNonFunctionError">Pokus o vytvoření instance u objektu, který není konstruktor.</error>
  <error id="1008" label="kAmbiguousBindingError">%1 není jednoznačný; Nalezena více než jedna odpovídající vazba.</error>
  <error id="1009" label="kConvertNullToObjectError">Přístup k vlastnosti nebo k metodě odkazu na nulový objekt není možný.
<description><![CDATA[
    An object that evaluates to <code>null</code> can have no properties. This error can occur in some unexpected
    (though valid) situations. For example, consider the following code, which creates a Sprite
    object. Because this Sprite object is never added to the display list (through the
    <code>addChild()</code> method of a DisplayObjectContainer object), its <code>stage</code>
    property is set to <code>null</code>. Thus, the example generates this error because Sprite object's <code>stage</code> property
    cannot have any properties:

    <pre><code>import flash.display.Sprite;
var sprite1:Sprite = new Sprite();
var q:String = sprite1.stage.quality;</code></pre>
    ]]></description></error>

  <error id="1010" label="kConvertUndefinedToObjectError">Termín není definovaný a nemá žádné vlastnosti.
<description><![CDATA[
        This error can occur if you try to access a property of an object that does not exist. For example:
        <pre><code>var obj:Object = new Object();
obj.a = "foo";
trace(obj.b.prop);</code></pre>

        <p>You can also see this error because of a misspelling, for example in the following, where
        <code>mc</code> represents a MovieClip object in the display list, and the <code>stage</code>
        property is misspelled with a capital S (it should be <code>stage</code>):</p>

        <pre><code>trace(mc.Stage.quality);</code></pre>


    ]]></description></error>
  <error id="1011" label="kIllegalOpcodeError">Metoda %1 obsahovala nepovolený opcode %2 na posunu %3.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1012" label="kLastInstExceedsCodeSizeError">Poslední instrukce přesáhla velikost kódu.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1013" label="kFindVarWithNoScopeError">Nelze volat OP_findproperty, když scopeDepth je 0.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1014" label="kClassNotFoundError">Třídu %1 nelze nalézt.</error>
   <error id="1015" label="kIllegalSetDxns">Metoda %1 nemůže nastavovat výchozí prostor názvů xml
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1016" label="kDescendentsError">Dceřiný operátor (..) není v typu %1 podporován.</error>
   <error id="1017" label="kScopeStackOverflowError">Došlo k přetečení zásobníku rozsahu.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1018" label="kScopeStackUnderflowError">Došlo k podtečení zásobníku rozsahu.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1019" label="kGetScopeObjectBoundsError">Getscopeobject %1 je mimo rozsah.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>
   <error id="1020" label="kCannotFallOffMethodError">Kód nemůže vypadnout z konce metody.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1021" label="kInvalidBranchTargetError">Nejméně jeden cíl větve nebyl v metodě na platné instrukci.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1022" label="kIllegalVoidError">Typ void lze použít pouze jako typ vrácení funkce.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1023" label="kStackOverflowError">Došlo k přetečení zásobníku.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1024" label="kStackUnderflowError">Došlo k podtečení zásobníku.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1025" label="kInvalidRegisterError">Došlo k přístupu k neplatnému registru %1.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1026" label="kSlotExceedsCountError">Pozice %1 přesahuje slotCount=%2 ze %3.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1027" label="kMethodInfoExceedsCountError">Method_info %1 přesahuje method_count=%2.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1028" label="kDispIdExceedsCountError">Disp_id %1 přesahuje max_disp_id=%2 ze %3.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1029" label="kDispIdUndefinedError">Disp_id %1 není definován na %2.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1030" label="kStackDepthUnbalancedError">Hloubka zásobníku je nevyrovnaná. %1 != %2.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1031" label="kScopeDepthUnbalancedError">Hloubka rozsahu je nevyrovnaná. %1 != %2.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1032" label="kCpoolIndexRangeError">Index Cpool %1 je mimo rozsah %2.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1033" label="kCpoolEntryWrongTypeError">Položka Cpool %1 je chybného typu.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1034" label="kCheckTypeFailedError">Typ Coercion nebyl úspěšný: nelze převést %1 na %2.</error>

   <error id="1035" label="kIllegalSuperCallError">Nepovolený výraz super nalezen v metodě %1.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <!-- <error id="1036" label="kUncaughtExceptionWarning">The VM exited due to an uncaught exception.</error> -->

   <error id="1037" label="kCannotAssignToMethodError">Nelze přiřadit metodě %1 na %2.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>


<error id="1038" label="kRedefinedError">%1 je již definováno.
<description><![CDATA[
        You cannot declare a variable or function with the same identifier name more than once
        within the same scope.
        In ActionScript 3.0, different code blocks (such as those used in two <code>for</code> loops
        in the same <code>function</code> definition) are considered to be in the same scope.
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1039" label="kCannotVerifyUntilReferencedError">Metodu nelze ověřit, dokud na ni není odkazováno.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1040" label="kCantUseInstanceofOnNonObjectError">Pravá strana instanceof musí být třída nebo funkce.
<description><![CDATA[
        The expression on the right side of the <code>instanceof</code> operator must be a class or function.
    ]]></description></error>
  <error id="1041" label="kIsTypeMustBeClassError">Pravá strana operátoru musí být třída.
<description><![CDATA[
        The expression on the right side of the <code>is</code> operator must be a class.
    ]]></description></error>
   <error id="1042" label="kInvalidMagicError">Nejedná se o soubor ABC.  hlavní_verze=%1 vedlejší_verze=%2.
<description><![CDATA[
You are attempting to use an  invalid file with the player: the tool that generates the SWF may be out of date or the SWF itself may be corrupt.
    ]]></description></error>
   <error id="1043" label="kInvalidCodeLengthError">Neplatná délka_kódu=%1.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1044" label="kInvalidMethodInfoFlagsError">MethodInfo-%1 nepodporované příznaky=%2.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>


 <error id="1045" label="kUnsupportedTraitsKindError">Nepodporovaný druh trait=%1.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1046" label="kMethodInfoOrderError">Na methodInfo-%1 odkazováno před definicí.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1047" label="kMissingEntryPointError">Nebyl nalezen vstupní bod.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>
   <!--<error id="1048" label="kNativeMethodNotFoundError">Native method not found: %a.</error>-->

   <error id="1049" label="kPrototypeTypeError">Objekty prototypu musí být objekty vanilla.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1050" label="kConvertToPrimitiveError">Nelze konvertovat %1 na základní prvek.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1051" label="kIllegalEarlyBindingError">Nepovolený přístup prvotní vazby do %1.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1052" label="kInvalidURIError">Neplatná URI předána funkci %1.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1053" label="kIllegalOverrideError">Nepovolený přepis %1 v %2.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1054" label="kIllegalExceptionHandlerError">Nepovolený rozsah posunů cíle v ovladači výjimek.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>
 <!-- obsolete
  <error id="1055" label="kHasNoPropertiesTypeError">%S has no properties</error>
  -->
  <error id="1056" label="kWriteSealedError">Nelze vytvořit vlastnost %1 na %2.
<description><![CDATA[
    You are trying to assign a value to a nonexistent property on an instance of a non-dynamic
    class. This is only possible for instances of dynamic classes]]></description></error>

 <error id="1057" label="kIllegalSlotError">%1 může obsahovat pouze metody.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1058" label="kIllegalOperandTypeError">Nepovolený typ operandu: %1 musí být %2.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1059" label="kClassInfoOrderError">Na classInfo-na %1 je odkazováno před definicí.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1060" label="kClassInfoExceedsCountError">ClassInfo %1 přesahuje class_count=%2.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>


<error id="1061" label="kNumberOutOfRangeError">Hodnotu %1 nelze konvertovat na %2 bez ztráty přesnosti.
<description><![CDATA[

        This error appears if you attempt to assign a decimal number to a property that has data type
        int.

        <p>This error also appears for out-of-range assignments, such as the following:</p>

        <pre><code>var m0:int = 2147483648; // int.MAX_VALUE == 2147483647</code></pre>
        <p>You can also see this error when using the bitwise left shift operator (&lt&lt).
        For example, consider the following code:</p>

        <pre><code>var m0:uint = 0xFF;
var m1:uint = m0&lt&lt24;</code></pre>

        <p>The result of left shift operator (&lt&lt) is interpreted as a 32-bit two's complement number
        with sign. In the example, the result is a negative value, which causes the error when assigned
        to the uint typed property. A workaround is the following:</p>

        <pre><code>var m0:uint = 0xFF;
var m1:uint = uint(m0&lt;&lt;24);</code></pre>

    ]]></description></error>
   <!--<error id="1062" label="kPackageCircularityError">Package %a imported while being defined</error>-->
  <error id="1063" label="kWrongArgumentCountError">Nesoulad počtu argumentů na %1. Očekáváno %2, získáno %3.</error>
  <error id="1064" label="kCannotCallMethodAsConstructor">Nelze volat metodu %1 jako konstruktor.
  <description><![CDATA[
    Extracted methods are permanently bound to the object they are extracted from.
    Therefore, they can not later be called as a constructor. For example, the following
    creates function <code>f()</code> in Class A:
    <pre><code>class A {
       function f() {}
    }</code></pre>
    In the following code, extracting the function causes no error. However, creating
    a new instance of the function causes an error.
    <pre><code>var a = new A()
    var m = a.f // extract f, don't call it
    m() // same as a.f()
    new m() // causes this error</code></pre>

    ]]></description></error>
  <error id="1065" label="kUndefinedVarError">Proměnná %1 není definovaná.
  <description><![CDATA[
    You are using an undefined lexical reference. For example, in the following statements, the
    statement <code>trace(x)</code> generates an error because <code>x</code> is undefined. However, the
    statement <code>trace(y)</code> doesn't generate an error because <code>y</code> is defined:
    <pre><code>trace("hello world")
    trace(x) // x is undefined
    var y
    trace(y) // No error, y is defined.</code></pre>
    ]]></description></error>
  <error id="1066" label="kFunctionConstructorError">Forma funkce('tělo funkce') není podporovaná.
  <description><![CDATA[
    Unlike JavaScript, Flash does not compile code on-the-fly using <code>eval()</code> and
    <code>function()</code>.  Thus, calling these as a constructor in ActionScript 3.0 generates this error.
    ]]></description></error>

<error id="1067" label="kIllegalNativeMethodBodyError">Nativní metoda %1 má nepovolené tělo metody.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>


<error id="1068" label="kCannotMergeTypesError">%1 a %2 nelze sladit.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1069" label="kReadSealedError">Vlastnost %1 nenalezena na %2 a výchozí hodnota neexistuje.
  <description><![CDATA[
    You are referencing an undefined property on a non-dynamic class instance. For example, the following generates this error when it references property
    <code>x</code>, which is not defined and cannot be created dynamically:
    <pre><code>class A {} // sealed class, not dynamic
    trace(new A().x) // no property x defined on A, and A is not dynamic</code></pre>
    ]]></description></error>
  <error id="1070" label="kCallNotFoundError">Metoda %1 nenalezena na %2
  <description><![CDATA[
    You are using a <code>super</code> statement to call a function, but the function doesn't exist in the super class.
    For example, the following code generates the error:    <pre><code>class A() {}
class B extends A {
  function f() { trace(super.f()); } // error 1070, there is no f on A
}</code></pre>
    ]]></description></error>
  <error id="1071" label="kAlreadyBoundError">Funkce %1 již byla připojena k %2.</error>

<error id="1072" label="kZeroDispIdError">Disp_id 0 není povolená.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1073" label="kDuplicateDispIdError">Nepřepisovací metoda %1 nahrazena z důvodu duplicitního disp_id %2.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

<error id="1074" label="kConstWriteError">Nepovolený zápis do vlastnosti pouze pro čtení %1 na %2.</error>
  <error id="1075" label="kMathNotFunctionError">Math není funkce.
  <description><![CDATA[
    You are trying to call <code>math()</code> as a function, but the Math class is a class with static methods.
    ]]></description></error>
  <error id="1076" label="kMathNotConstructorError">Math není konstruktor.
  <description><![CDATA[
    You can not instantiate the Math class.
    ]]></description></error>

  <error id="1077" label="kWriteOnlyError">Nepovolené přečtení vlastnosti pouze pro zápis %1 na %2.</error>
   <error id="1078" label="kIllegalOpMultinameError">Nepovolená kombinace opcode/multiname: %1&lt;%2&gt;.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1079" label="kIllegalNativeMethodError">Nativní metody nejsou povoleny v načteném kódu.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1080" label="kIllegalNamespaceError">Nepovolená hodnota pro obor názvů.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>


  <error id="1081" label="kReadSealedErrorNs">Vlastnost %1 nenalezena na %2 a výchozí hodnota neexistuje.</error>
 <!--<error id="1081" label="kIllegalMultinameCallError">Illegal call to %1</error>-->

 <error id="1082" label="kNoDefaultNamespaceError">Nebyl nastaven žádný výchozí prostor názvů.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1083" label="kXMLPrefixNotBound">Předpona "%1" pro prvek "%2" není připojena.
<description><![CDATA[
    An attribute name or element name has a prefix but no matching namespace was
    found. This statement generates an error because there is no <code>foo</code>
    namespace to match <code>foo:x</code>:<pre/>&lt;foo:x xmlns:clowns='http://circuscenter.org'&gt;</pre>
        ]]></description></error>

  <error id="1084" label="kXMLBadQName">Prvek atributu ("%1") neodpovídá produkci QName: QName::=(NCName':')?NCName.
<description><![CDATA[
    You have <code>foo: </code> or <code>:foo</code> as an element or attribute name, but there is nothing
    on the other side of the colon.
    ]]></description></error>
  <error id="1085" label="kXMLUnterminatedElementTag">Typ prvku "%1" je nutné ukončit odpovídajícím koncovým tagem "&lt;/%2&gt;".</error>
  <error id="1086" label="kXMLOnlyWorksWithOneItemLists">Metoda %1 funguje pouze u seznamů obsahujících jednu položku.
<description><![CDATA[
    The XMLList class propagates the XML-specific functions to one child if it has only one
    item in its list. If more than one item is in the list, the routines fail with this
    error. This happens for the following XMLList functions that mimic XML functions:
    <p><code>addNamespace</code>, <code>appendChild</code>,  <code>childIndex</code>,
    <code>inScopeNamespaces</code>,  <code>insertChildAfter</code>,  <code>insertChildBefore</code>,
    <code>name</code>,  <code>namespace</code>,  <code>localName</code>,  <code>namespaceDeclarations</code>,
    <code>nodeKind</code>,  <code>prependChild</code>,  <code>removeNamespace</code>,  <code>replace</code>,
    <code>setChildren</code>,  <code>setLocalName</code>,  <code>setName</code>,  and <code>setNamespace.

    ]]></description></error>
  <error id="1087" label="kXMLAssignmentToIndexedXMLNotAllowed">Přiřazení k indexovanému XML není povoleno.</error>
  <error id="1088" label="kXMLMarkupMustBeWellFormed">Označení v dokumentu po kořenovém elementu musí mít správný formát.
<description><![CDATA[
    These are possible causes of this error:
    <ul>
    <li>Parsing an XMLList style object as XML</li>
    <li>Misbalanced strings</li>
    </ul>
    ]]></description></error>

  <error id="1089" label="kXMLAssigmentOneItemLists">Přiřazení do seznamů s více než jednou položkou není podporováno.</error>
  <error id="1090" label="kXMLMalformedElement">Chyba analyzátoru XML: element je chybný.
<description><![CDATA[
    An element name is malformed. This example of an element name is malformed because a
    trailing right angle bracket <code>></code> is missing:

    <pre>&lt;a/&gt;&lt;b&gt;&lt;/b</pre>    ]]></description></error>

  <error id="1091" label="kXMLUnterminatedCData">Chyba analyzátoru XML: Neukončená sekce CDATA.</error>
  <error id="1092" label="kXMLUnterminatedXMLDecl">Chyba analyzátoru XML: Neukončená deklarace XML.</error>
  <error id="1093" label="kXMLUnterminatedDocTypeDecl">Chyba analyzátoru XML: Neukončená deklarace DOCTYPE.</error>
  <error id="1094" label="kXMLUnterminatedComment">Chyba analyzátoru XML: Neukončený komentář.</error>
  <error id="1095" label="kXMLUnterminatedAttribute">Chyba analyzátoru XML: Neukončený atribut.</error>
  <error id="1096" label="kXMLUnterminatedElement">Chyba analyzátoru XML: Neukončený element.</error>
  <error id="1097" label="kXMLUnterminatedProcessingInstruction">Chyba analyzátoru XML: Neukončená instrukce zpracování.</error>
  <error id="1098" label="kXMLNamespaceWithPrefixAndNoURI">Nepovolená předpona %1 pro nezadaný prostor názvů.
<description><![CDATA[
    The namespace constructor throws this error if you try to pass in an empty URI with a
    non-empty prefix as in this example:

<pre>ns = new Namespace ("prefix", "");
    ]]></description></error>

  <!--<error id="1099" label="kNullArgumentError">Argument %s cannot be null.</error>-->
  <error id="1100" label="kRegExpFlagsArgumentError">Nelze dodat příznaky při vytváření jednoho výrazu RegExp z druhého.
  <description><![CDATA[
    Creating a new regular expression from an existing one also copies its flags. To create a regular expression with
    different flags, use the <code>new</code> operator and set the flags as desired. For example, this statement
    creates a regular expression and specifies flag settings:
    <pre><code>var re:RegExp = new RegExp("ali", /s)</code></pre>
    Alternatively, this statement creates a regular expression that has the same flags as re:
    <pre><code>var re2:RegExp = new RegExp(re, ...)</code></pre>    ]]></description></error>

   <error id="1101" label="kNoScopeError">Nelze ověřit metodu %1 s neznámým rozsahem.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1102" label="kIllegalDefaultValue">Nepovolená výchozí hodnota pro typ %1.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1103" label="kCannotExtendFinalClass">Třída %1 nemůže rozšířit poslední základní třídu.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1104" label="kXMLDuplicateAttribute">Atribut "%1" již byl zadán pro element "%2".</error>
  <!--<error id="1105" label="kStringIndexOutOfBoundsError">The string index %d is out of bounds; must be in range %d to %d.</error>-->
  <!--<error id="1106" label="kInvalidRangeError">The range specified is invalid.</error>-->
  <error id="1107" label="kCorruptABCError">Data ABC jsou poškozená, pokus číst mimo rozsah.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1108" label="kInvalidBaseClassError">Opcode OP_newclass byl použit s nesprávnou základní třídou.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1109" label="kDanglingFunctionError">Pokus přímo volat nenavázanou funkci %1 z metody %2.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1110" label="kCannotExtendError">%1 nemůže rozšířit %2.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1111" label="kCannotImplementError">%1 nemůže implementovat %2.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

   <error id="1112" label="kCoerceArgumentCountError">Nesouhlasí počet argumentů ve vynuceném nastavení třídy.  Očekáváno 1, získáno %1.</error>
   <error id="1113" label="kInvalidNewActivationError">OP_newactivation použito v metodě bez příznaku NEED_ACTIVATION.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1114" label="kNoGlobalScopeError">OP_getglobalslot nebo OP_setglobalslot použito bez globálního rozsahu.
<description><![CDATA[
        See the <a href="#note">note</a> at the bottom of this table.&#42;
    ]]></description></error>

  <error id="1115" label="kNotConstructorError">%1 není konstruktor.</error>
  <error id="1116" label="kApplyError">druhý argument Function.prototype.apply musí být pole.</error>
  <error id="1117" label="kXMLInvalidName">Neplatný název XML: %1.</error>
  <error id="1118" label="kXMLIllegalCyclicalLoop">Nepovolené cyklické opakování mezi uzly.</error>
  <error id="1119" label="kDeleteTypeError">Operátor Delete není podporován s operandem typu %1.</error>
  <error id="1120" label="kDeleteSealedError">Nelze odstranit vlastnost %1 na %2.</error>
  <error id="1121" label="kDuplicateMethodBodyError">Metoda %1 má duplicitní tělo metody.</error>
   <error id="1122" label="kIllegalInterfaceMethodBodyError">Metoda rozhraní %1 má nepovolené tělo metody.</error>
  <error id="1123" label="kFilterError">Filtrování operátoru není podporováno u typu %1.</error>
  <error id="1124" label="kInvalidHasNextError">OP_hasnext2 vyžaduje, aby objekt a index byly odlišné registry.</error>
  <error id="1125" label="kOutOfRangeError">Index %1 je mimo rozsah %2.</error>
  <error id="1126" label="kVectorFixedError">Nelze změnit délku pevného vektoru.</error>
  <error id="1127" label="kTypeAppOfNonParamType">Pokus o aplikaci typu u typu, který není parametrizován.</error>
  <error id="1128" label="kWrongTypeArgCountError">Nesprávný počet parametrů typu pro %1. Očekáváno %2, obdrženo %3.</error>

  <!-- The following errors are specific to the AVM2 command-line shell.-->
  <error id="1500" hidden="true" label="kFileOpenError">Při otevírání souboru %1 došlo k chybě.</error>
  <error id="1501" hidden="true" label="kFileWriteError">Při zápisu do souboru %1 došlo k chybě.
        <description><![CDATA[
        The file you are writing to cannot be opened. Possibly the filename contains an error, the file is read-only, or
        you do not have access privileges.
        ]]></description>
        </error>
  <error id="1502" label="kScriptTimeoutError">Skript byl spuštěn déle než je výchozí doba platnosti (15 sekund).
        <description><![CDATA[
        A script executed after the timeout period. (The default timeout period is 15 seconds.) After this error occurs, the
        script can continue to execute for 15 seconds more, after which the script terminates and throws run-time error number 1503 (A script failed to exit after 30 seconds and was terminated.)
    ]]></description>
 </error>
  <error id="1503" label="kScriptTerminatedError">Skript se nepodařilo opustit ani po 30 sekundách a byl ukončen.
      <description><![CDATA[
      The script was still executing after 30 seconds. Flash Player first throws run-time error number 1502 (A script has executed for longer than the default timeout period of 15 seconds.) if the script executed more than 15
      seconds, which is the default timeout period. This error occurs 15 seconds after Error 1502 occurs.
    ]]></description></error>
     <error id="1504" hidden="true" label="kEndOfFileError">Konec souboru.
      <description><![CDATA[
      Flash Player unexpectedly encountered the end of the file. Possibly the file was not saved correctly or Flash Player expected more data
      in the file.
    ]]></description>
  </error>
  <error id="1505" hidden="true" label="kStringIndexOutOfBoundsError">Index řetězce %1 je mimo rozsah; musí být v rozmezí %2 až %3.</error>
  <error id="1506" hidden="true" label="kInvalidRangeError">Zadaný rozsah je neplatný.
    <description><![CDATA[
    The method's <code>start</code> parameter is greater than its <code>end</code> parameter.
    ]]></description></error>
  <error id="1507" label="kNullArgumentError">Argument %1 nemůže být null.</error>
  <error id="1508" label="kInvalidArgumentError">Hodnota zadaná pro argument %1 je neplatná.
  <description><![CDATA[
    You are possibly trying to pass the wrong data type. For example, the code
    <pre><code>public function doSomething(const:int):void {
    }
    this ["doSomething"] ("str")</code></pre>
    generates an error at runtime because <code>doSomething</code> is cast as an int data type. ]]></description></error>

  <error id="1510" label="kArrayFilterNonNullObjectError">Pokud je argument zpětného volání metodou třídy, volitelný argument musí být null.</error>
  <error id="2006" label="kParamRangeError">Poskytnutý index je mimo rozsah.</error>
  <error id="2007" label="kNullPointerError">Parametr %1 nesmí být null.</error>
  <error id="2008" label="kInvalidEnumError">Parametr %1 musí být jedna z akceptovaných hodnot.</error>
  <error id="2012" label="kCantInstantiateError">Pro třídu %1 nelze vytvořit instanci.</error>
  <error id="2030" label="kEOFError">Bylo dosaženo konce souboru.</error>
  <error id="2058" label="kCompressedDataError">Při dekomprimování dat došlo k chybě.</error>
</errors>
